import request from '../util/request.js';

// 空料箱上架
export function checkBlankBox() {
    return request({
        url: '/api/FeedBoxResource/checkBlankBox',
        method: 'get',
    });
}

// 请求一个空料箱
export function requestBlankBox() {
    return request({
        url: '/api/FeedBoxResource/requestBlankBox',
        method: 'get',
    });
}

// 请求校验一个空料箱和多个工装设备
export function checkBlankBoxAndInventory() {
    return request({
        url: '/api/FeedBoxResource/checkBlankBoxAndInventory',
        method: 'get',
    });
}

// 成品上架校验料箱
export function checkFeedBoxAndProduct() {
    return request({
        url: '/api/FeedBoxResource/checkFeedBoxAndProduct',
        method: 'get',
    });
}

// 成品上架
export function productRack(params) {
    return request({
        url: '/api/FeedBoxResource/productRack',
        method: 'post',
        data: params,
    });
}

// 成品下架查询立体库成品
export function findProductCanRemoved() {
    return request({
        url: '/api/FeedBoxResource/findProductCanRemoved',
        method: 'get',
    });
}

// 成品下架
export function productRemoved(params) {
    return request({
        url: '/api/FeedBoxResource/productRemoved',
        method: 'post',
        data: params,
    });
}